Bug 198744 - Anaconda won't configure network interface
Anaconda won't configure network interface
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-07-13 04:17 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-13 14:47:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2006-07-13 04:17:36 EDT
Description of problem:
  Anaconda has actually two observed problems:
  1.  Won't configure interface if IPV6 is diabled
  2.  Won't continue with install even when the log (vt3) show a
      successful DHCP configuration.

Version-Release number of selected component (if applicable):

How reproducible:
  every time

Steps to Reproduce:
1. burn boot.iso of 2006-07-12 rawhide
2. boot with boot.iso
3. attempt network based install
Actual results:
  Anaconda goes through all the steps to get a NFS or HTTP install started,
  but fails to continue beyond the NIC initialization (DHCP) even when
  the information on VT3 shows that the DHCP call was successfull.

Expected results:

Additional info:

work1: Celeron (Coppermine) @ 600 MHz      256 MiB RAM
       RTL-8132 NIC on mobo                VIA Chipset
Comment 1 G.Wolfe Woodbury 2006-07-13 06:35:16 EDT
I got the install to proceed by doing a static ip first and then the DHCP
configure was successful.

I also notice during the install that virtual switching has been broken.  I
cannot switch to VT3 or VT4 once VT7 X server comes up in order to examine the
Comment 2 G.Wolfe Woodbury 2006-07-13 06:56:41 EDT
Additionally, I note that I had to use HTTP because NFS was denied by either
SELinux or a firewall setting on the work1 machine.

I can't be sure becase I couldn't examine the VT3 or VT4 screens.
Comment 3 David Cantrell 2006-07-13 14:47:03 EDT
This was a problem with libdhcp and has been fixed as of libdhcp-1.8 (as well as
some changes to anaconda's loader).  Fixed in rawhide, will appear once we build
a new anaconda package.

Note You need to log in before you can comment on or make changes to this bug.